%global realname erlydtl
%global upstream erlydtl


Name:		erlang-%{realname}
Version:        0.13.1
Release:        %mkrel 2
BuildArch:      noarch
Summary:        Erlang implementation of the Django Template Language
Group:          Development/Erlang
License:        MIT
URL:		https://github.com/%{upstream}/%{realname}
VCS:		scm:git:https://github.com/%{upstream}/%{realname}.git
Source0:	https://github.com/%{upstream}/%{realname}/archive/%{version}/%{realname}-%{version}.tar.gz
Patch1:		erlang-erlydtl-0001-Verbose-testing.patch
Patch2:		erlang-erlydtl-0002-No-such-function-exported-gettext_compile-write_pret.patch
Patch3:		erlang-erlydtl-0003-No-such-function-exported-gettext_compile-fmt_filein.patch
Patch4:		erlang-erlydtl-0004-No-such-fun-gettext_compile-open_po_file-3.patch
Patch5:		erlang-erlydtl-0005-No-such-fun-gettext_compile-close_file-0.patch
Patch6:		erlang-erlydtl-0006-Support-Erlang-OTP-22.0.patch
Provides:       ErlyDTL = %{version}-%{release}
BuildRequires:  erlang-rebar


%description
ErlyDTL is an Erlang implementation of the Django Template Language. The
erlydtl module compiles Django Template source code into Erlang bytecode. The
compiled template has a "render" function that takes a list of variables and
returns a fully rendered document.


%prep
%autosetup -p1 -n %{realname}-%{version}


%build
%{erlang_compile}


%install
%{erlang_install}
cp -arv priv %{buildroot}/%{erlang_appdir}/


%check
%{erlang_test -C rebar-tests.config}


%files
%license LICENSE
%doc CONTRIBUTING.md NEWS.md README.markdown README_I18N
%{erlang_appdir}/


%changelog
* Thu Mar 31 2022 umeabot <umeabot> 0.13.1-2.mga9
+ Revision: 1836508
- Mageia 9 Mass Rebuild

* Sun Dec 20 2020 wally <wally> 0.13.1-1.mga8
+ Revision: 1661610
- new version 0.13.1 (sync with Fedora)
- make pkg noarch
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Sat Sep 22 2018 wally <wally> 0.12.1-1.mga7
+ Revision: 1295963
- new version 0.12.1
- add fixes from upstream
- skip failing test for now

* Fri May 06 2016 neoclust <neoclust> 0.7.0-5.20130214git6a9845f.2.mga6
+ Revision: 1009765
- Rebuild post boostrap
- imported package erlang-erlydtl

